﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PersonalAccounting.DataAccess;

namespace PersonalAccounting.Business
{
    public class Cuenta
    {

        #region Attributes

        private int _codigo;
        private Moneda _moneda;
        private string _nombre;

        #endregion

        #region Properties

        public int Codigo
        {
            get { return _codigo; }
            set { _codigo = value; }
        }

        public Moneda Moneda
        {
            get { return _moneda; }
            set { _moneda = value; }
        }

        public string Nombre
        {
            get { return _nombre; }
            set { _nombre = value; }
        }

        #endregion

        #region Constructors

        public Cuenta()
        {
            _codigo = 0;
            _moneda = new Moneda();
            _nombre = string.Empty;
        }

        public Cuenta(CuentaVO obj)
        {
            _codigo = obj.Codigo;
            _moneda = new Moneda(obj.Moneda);
            _nombre = obj.Nombre;
        }

        #endregion

        #region ToString

        public override string ToString()
        {
            return _nombre + " (" + _moneda.Simbolo + ")";
        }

        #endregion

    }
}