﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PersonalAccounting.DataAccess;

namespace PersonalAccounting.Business
{
    public class Movimiento
    {

        #region Attributes

        private int _codigo;
        private Cuenta _cuenta;
        private DateTime _fecha;
        private string _tipo;
        private string _descripcion;
        private double _importe;

        #endregion

        #region Properties

        public int Codigo
        {
            get { return _codigo; }
            set { _codigo = value; }
        }

        public Cuenta Cuenta
        {
            get { return _cuenta; }
            set { _cuenta = value; }
        }

        public DateTime Fecha
        {
            get { return _fecha; }
            set { _fecha = value; }
        }

        public string Tipo
        {
            get { return _tipo; }
            set { _tipo = value; }
        }

        public string Descripcion
        {
            get { return _descripcion; }
            set { _descripcion = value; }
        }

        public double Importe
        {
            get { return _importe; }
            set { _importe = value; }
        }

        #endregion

        #region Constructors

        public Movimiento()
        {
            _codigo = 0;
            _cuenta = new Cuenta();
            _fecha = DateTime.Today;
            _tipo = string.Empty;
            _descripcion = string.Empty;
            _importe = 0;
        }

        public Movimiento(MovimientoVO obj)
        {
            _codigo = obj.Codigo;
            _cuenta = new Cuenta(obj.Cuenta);
            _fecha = obj.Fecha;
            _tipo = obj.Tipo;
            _descripcion = obj.Descripcion;
            _importe = obj.Importe;
        }

        #endregion
    
    }
}