﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonalAccounting.DataAccess
{
    public class MovimientoVO
    {

        #region Attributes

        private int _codigo;
        private CuentaVO _cuenta;
        private DateTime _fecha;
        private string _tipo;
        private string _descripcion;
        private double _importe;

        #endregion

        #region Properties

        public int Codigo
        {
            get { return _codigo; }
            set { _codigo = value; }
        }

        public CuentaVO Cuenta
        {
            get { return _cuenta; }
            set { _cuenta = value; }
        }

        public DateTime Fecha
        {
            get { return _fecha; }
            set { _fecha = value; }
        }

        public string Tipo
        {
            get { return _tipo; }
            set { _tipo = value; }
        }

        public string Descripcion
        {
            get { return _descripcion; }
            set { _descripcion = value; }
        }

        public double Importe
        {
            get { return _importe; }
            set { _importe = value; }
        }

        #endregion

        #region Constructors

        public MovimientoVO()
        {
            _codigo = 0;
            _cuenta = new CuentaVO();
            _fecha = DateTime.Today;
            _tipo = string.Empty;
            _descripcion = string.Empty;
            _importe = 0;
        }

        public MovimientoVO(int codigo, CuentaVO cuenta, DateTime fecha, string tipo, string descripcion, double importe)
        {
            _codigo = codigo;
            _cuenta = cuenta;
            _fecha = fecha;
            _tipo = tipo;
            _descripcion = descripcion;
            _importe = importe;
        }

        #endregion

    }
}