﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using PersonalAccounting.Business;

namespace PersonalAccounting.Controls
{
    public partial class CuentaComboBox : ComboBox
    {
        public CuentaComboBox()
        {
            InitializeComponent();
        }

        public CuentaComboBox(Container container)
        {
            container.Add(this);
            InitializeComponent();
        }

        public void CargarCuentas()
        {
            CuentaFacade facade = new CuentaFacade();

            Items.Clear();
            foreach (Cuenta cuenta in facade.GetAll())
                Items.Add(cuenta);

            if (Items.Count > 0)
                SelectedIndex = 0;
        }

        public Cuenta Value
        {
            get { return (Cuenta)SelectedItem; }
            set
            {
                for (int i = 0; i < Items.Count; i++)
                {
                    Cuenta tmp = (Cuenta)Items[i];
                    if (tmp.Codigo == value.Codigo)
                    {
                        SelectedIndex = i;
                        break;
                    }
                }
            }
        }
    }
}